Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.manager
Class ResponseManager

    java.lang.Object
      com.heckmansoft.surjey.model.datastore.Datastore
          com.heckmansoft.surjey.model.datastore.ResponseDatastore
              com.heckmansoft.surjey.model.manager.ResponseManager

public class ResponseManager
extends ResponseDatastore

Manages Response objects.

Constructor Summary
`ResponseManager()`

Method Summary
`Response` | `createResponse()` Create a new response.
`ValueObjectList` | `getResponseAnswers(java.lang.String id)` For a given response id, get the subordinate answers.
`boolean` | `insert(Response response)` Creates a managed Response instance from response.
`boolean` | `remove(Response response)` Removes given response.
`boolean` | `remove(java.lang.String id)` Removes response with given id.

Methods inherited from class com.heckmansoft.surjey.model.datastore.ResponseDatastore
`extract, findById, findBySurveyIdAndAddress, getArgs`

Methods inherited from class com.heckmansoft.surjey.model.datastore.Datastore
`executeDelete, executeInsert, executeUpdate, extract, extractList, extractSingle, findAll, generateDeleteSQL, generateInsertSQL, generateSelectSQL, generateUpdateSQL, getConnection, getTransaction, insert, insert, populateStatement, remove, remove, selectAll, selectById, selectWhere, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseManager

    public ResponseManager()

Method Detail

### insert

    public boolean insert(Response response)
                   throws DatastoreException

  Creates a managed Response instance from response.

  Parameters:
    `response` - A response instance
  Returns:
    true if managed Response instance was created successfully
  Throws:
    `DatastoreException`

### remove

    public boolean remove(Response response)
                   throws DatastoreException

  Removes given response.

  Parameters:
    `response` - Response to be removed.
  Returns:
    true if a matching response is found and removed
  Throws:
    `DatastoreException`

### remove

    public boolean remove(java.lang.String id)
                   throws DatastoreException

  Removes response with given id.

  Overrides:
    `remove` in class `Datastore`
  Parameters:
    `id` - Id of response to be removed.
  Returns:
    true if a matching response is found and removed
  Throws:
    `DatastoreException`

### getResponseAnswers

    public ValueObjectList getResponseAnswers(java.lang.String id)
                                       throws DatastoreException

  For a given response id, get the subordinate answers.

  Parameters:
    `id` - Response id to get the answers for.
  Returns:
    List of answers in response
  Throws:
    `DatastoreException`

### createResponse

    public Response createResponse()

  Create a new response.

  Overrides:
    `createResponse` in class `ResponseDatastore`
  Returns:
    newly created response.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD